/*
Desenvolvedores: Evandro Mendonça - evandro.user@gmail.com
                 Mateus Pelegrino - mateuspelegrino@gmail.com
Colaboração: Esteban Clua, Marcelo Zamith, Calebe Tonassi, Elaine Cifoni.
*/

/*COMENTÁRIO DA CLASSE
    Nesta classe é feito todo o controle de constantes do jogo, para que fiquem todos em um acesso rapido,
 sem termos que procurar em cada classe o seu respectivo controle. Essa classe controla dimensões e 
 posições dos objetos do jogo.
*/

package aliensfront;

public class NumerosControle {
    //VALORES DE CONTROLE DA CHAMADA DE CLASSES.
    public static final int TELA_INICIAL = 0;
    public static final int TELA_JOGO = 1;
    public static final int TELA_GANHOU = 2;
    public static final int TELA_PERDEU = 3;
    public static final int DELAY_FASE = 4;

    //BORDAS DISPONÍVEIS PARA O JOGO DE FATO(RETIRANDO A BORDA DE INFORMAÇÕES).
    public final static int BORDA_INFERIOR = 550;
    public final static int BORDA_SUPERIOR = 50;
    public final static int BORDA_ESQUERDA = 50;
    public final static int BORDA_DIREITA = 750;

    //TAMANHO INIMIGO
    public final static int LARGURA_INIMIGO = 47;
    public final static int ALTURA_INIMIGO = 43;

    //TAMANHO PLAYER
    public final static int ALTURA_PLAYER = 50;
    public final static int LARGURA_PLAYER = 40;

    //TAMANHO BOSS
    public final static int ALTURA_BOSS = 52;
    public final static int LARGURA_BOSS = 58;

    //TAMANHO AURIA
    public final static int ALTURA_AURIA = 50;
    public final static int LARGURA_AURIA = 40;

    //TAMANHO HP BOSS
    public final static int ALTURA_HP = 15;
    public final static int LARGURA_HP = 245;

    //QUANTIDADE DE INIMIGOS NAS RESPECTIVAS FASES
    public final static int INIMIGOS_FASE_1 = 5;
    public final static int INIMIGOS_FASE_2 = 6;
    public final static int INIMIGOS_FASE_3 = 8;
    public final static int INIMIGOS_FASE_4 = 10;
    public final static int INIMIGOS_FASE_5 = 5;
}
