/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package exemplo;

import java.awt.Graphics;
import java.awt.Point;
import javaPlay.GameStateController;
import javaPlay.Sprite;

/**
 *
 * @author Gefersom
 */
public class Jogar implements GameStateController
{
    private int LARGURA_RETANGULO = 150;
    private int ALTURA_RETANGULO = 100;
    private int X_INICIAL_RETANGULO = 300;
    private int Y_INICIAL_RETANGULO = 300;

    Sprite sprite;
    Player player;
    //Inimigo inimigo;

    public Jogar(){
        
    }

    public void start() {
        player.x = 653;
        player.y = 123;
    }

    public void step(long timeElapsed)
    {
        player.step(timeElapsed);

        Point playerMin = new Point(player.x, player.y);
        Point playerMax = new Point(player.x + Constantes.LARGURA_PLAYER, player.y + Constantes.ALTURA_PLAYER);
        Point minInimigo  = new Point( X_INICIAL_RETANGULO +7, Y_INICIAL_RETANGULO -20  );
        Point maxInimigo = new Point( X_INICIAL_RETANGULO + LARGURA_RETANGULO - 10,
                                      Y_INICIAL_RETANGULO + ALTURA_RETANGULO -37);

        if ( player.isColidiu(playerMin, playerMax, minInimigo, maxInimigo))
            start();
    }

    public void draw(Graphics g) {        
        g.clearRect( 0, 0, 800, 600 );
        g.drawRect( X_INICIAL_RETANGULO, Y_INICIAL_RETANGULO, LARGURA_RETANGULO, ALTURA_RETANGULO );
        player.draw(g);
    }

    public void load() {
        player = new Player();        
    }

    public void unload() {
        
    }  

    public void stop() {
        
    }    
}
