/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package extendjavaplay;

import java.awt.Dimension;
import java.awt.Point;

/**
 * @author Gefersom Cardoso Lima
 * Universidade Federal Fluminense
 * Ciência da Computação
 */
public class Colisao
{

        //Retorna true se duas áreas estão em contato uma com a outra não levando em consideração
        //possíveis transparências existentes nelas, logo, toda a dimensão das áreas são usadas
        public static boolean colidiu( Point min1, Point max1, Point min2, Point max2 )
        {            
            if( min1.x >= max2.x || max1.x <= min2.x)
                return false;
            if( min1.y >= max2.y || max1.y <= min2.y)
                return false;
            return true;
        }

        //Retorna true se dois objetos colidiram, o método não leva em consideração a transparência existente ou
        //não no objeto parametrizado, logo, toda a dimensão do objeto é usada.
        public static boolean colidiu( Objeto obj1, Objeto obj2 )
        {
            Dimension d = obj1.getDimensao();
            Point minObj1 = new Point ( obj1.x, obj1.y);
            Point maxObj1 = new Point ( obj1.x + d.width, obj1.y + d.height);

            d = obj2.getDimensao();
            Point minObj2 = new Point (obj2.x, obj2.y);
            Point maxObj2 = new Point (obj2.x + d.width, obj2.y + d.height);

            return( Colisao.colidiu(minObj1, maxObj1, minObj2, maxObj2) );
        }


}
