/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package extendjavaplay;

import java.awt.Graphics;
import javaPlay.Sprite;

/**
 * @author Gefersom Cardoso Lima
 * Universidade Federal Fluminense
 * Ciência da Computação
 */
public class ObjetoAnimado extends Objeto
{    
    protected int frameCorrente;
    protected int frameFinal;
    protected long tempoParaTrocarFrame;
    protected long tempoTranscorrido;
    protected Sprite sprite;

    public ObjetoAnimado()
    {        
        this.frameCorrente = 0;
        this.frameFinal = 0;
        this.tempoParaTrocarFrame = 10;
        this.tempoTranscorrido = 0;
        this.sprite = null;
    }

    public void setSprite(Sprite sprite)
    {
        this.sprite = sprite;
    }
    
    public void setTempoTrocarFrame( long tempoParaTrocarFrame )
    {
        this.tempoParaTrocarFrame = tempoParaTrocarFrame;
    }

    public void setFrames( int frameInicial, int frameFinal )
    {        
        this.frameCorrente = frameInicial;
        this.frameFinal = frameFinal;
    }

    public void setFrameCorrente( int frame )
    {
        this.frameCorrente = frame;
        sprite.setCurrAnimFrame(frame);
    }

    //Para animarmos basta fazer a troca dos frames
    public void animar()
    {
            tempoTranscorrido++;
            if ( tempoTranscorrido > tempoParaTrocarFrame )
            {
                tempoTranscorrido = 0;
                frameCorrente++;
                if ( frameCorrente > frameFinal ) frameCorrente = 0;
                this.sprite.setCurrAnimFrame(frameCorrente);
            }            
    }

    @Override
    public void draw(Graphics g)
    {
        sprite.draw(g, x, y);
    }
}
