/*
Desenvolvedores: Evandro Mendona - evandro.user@gmail.com
                 Mateus Pelegrino - mateuspelegrino@gmail.com
Colaborao: Esteban Clua, Marcelo Zamith, Calebe Tonassi, Elaine Cifoni.
*/

/* COMENTRIO DA CLASSE
	Esta classe  responsvel apenas por criar e desenhar a personagem Auria.
*/

package aliensfront;

import java.awt.Graphics;
/*Importaes de classes do JavaPlay, a primeira  usada para todo objeto do jogo,
 como personagens ou qualquer coisa que tenha um papel interativo no jogo. A segunda
  usada para criar um Sprite, ou seja, um conjunto de desenhos que compe o
 personagem ou objeto.*/
import javaPlay.GameObject;
import javaPlay.Sprite;

public class Auria extends GameObject{

    private Sprite auria;

    public Auria(String arquivo, int numeroSprites, int largura, int altura){
        setAuria(arquivo, numeroSprites, largura, altura);
    }

    public void step(long timeElapsed) {

    }
	/*Mtodo utilizado para preencher(desenhar) a tela do jogo com a Auria*/
    public void draw(Graphics g) {
        getAuria().draw(g, x, y);
    }

    public Sprite getAuria() {
        return auria;
    }
	/*Esse mtodo  utilizado para criar um novo sprite no objeto Auria. 
     passado o arquivo em qual as imagens esto, o nmero de imagens que o arquivo
     contm, a largura e a altura das imagens separadamente para que o JavaPlay possa
     "entender" a organizao dos seus sprites.*/
    public void setAuria(String arquivo, int numeroSprites, int largura, int altura) {
        this.auria = new Sprite(arquivo, numeroSprites, largura, altura);
    }

}
