/*
Desenvolvedores: Evandro Mendonça - evandro.user@gmail.com
                 Mateus Pelegrino - mateuspelegrino@gmail.com
Colaboração: Esteban Clua, Marcelo Zamith, Calebe Tonassi, Elaine Cifoni.
*/

/* COMENTÁRIO DA CLASSE
	Esta classe é a classe principal, ela que faz o jogo rodar.
*/

package aliensfront;
/*Importação do JavaPlay, esta a classe importada, é a principal do JavaPlay
 que permite visibilidade de outras classes da engine.*/
import javaPlay.GameEngine;

public class Main {

    public static void main(String[] args) {
        GameEngine.getInstance().addGameStateController(NumerosControle.TELA_INICIAL, new TelaIniciar());

        GameEngine.getInstance().addGameStateController(NumerosControle.TELA_JOGO, new TelaJogar());

        GameEngine.getInstance().addGameStateController(NumerosControle.TELA_GANHOU, new TelaGanhar());

        GameEngine.getInstance().addGameStateController(NumerosControle.DELAY_FASE, new DelayFase());

        GameEngine.getInstance().addGameStateController(NumerosControle.TELA_PERDEU, new TelaPerder());

        GameEngine.getInstance().setStartingGameStateController(NumerosControle.TELA_INICIAL);

        GameEngine.getInstance().run();
    }

}
